POST /v1/dpias/{id}/transition
POST/v1/dpias/{id}/transition
CodeMeta OS API endpoint.
Datenmodell
Diese Operation arbeitet auf der Entität DPIA (dpia). Alle 9 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.
Request Body
| Name | Typ | Beschreibung |
|---|
toStatuserforderlich | string | |
dialogResponse | object | |
checklistReopenReason | string | |
Pfad-Parameter
| Name | Typ | Beschreibung |
|---|
iderforderlich | string | |
Beispiel
curl -X POST https://api.codemeta-os.de/v1/dpias/{id}/transition \
-H "X-Tenant-Id: $TENANT" \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"toStatus": "string",
"dialogResponse": null,
"checklistReopenReason": "string"
}'
const result = await cm.dpias.post({
"toStatus": "string",
"dialogResponse": null,
"checklistReopenReason": "string"
});
Antwortcodes
| HTTP |
Bedeutung |
200 |
Default Response |